@echo *** Realtek Audio Driver package installation ***

pushd "%~dp0"
cd "%~dp0Win64\Realtek\ExtRtk_9089.1"
pnputil -a *.inf /install

pushd "%~dp0"
cd "%~dp0Win64\Realtek\ExtRtk_AmdDMIC_69"
pnputil -a *.inf /install

pushd "%~dp0"
cd "%~dp0Win64\Realtek\RealtekAPO_856"
pnputil -a *.inf /install

pushd "%~dp0"
cd "%~dp0Win64\Realtek\RealtekHSA_240"
pnputil -a *.inf /install

pushd "%~dp0"
cd "%~dp0Win64\Realtek\RealtekINTAPO2_856"
pnputil -a *.inf /install

pushd "%~dp0"
cd "%~dp0Win64\Realtek\RealtekService_322"
pnputil -a *.inf /install

pushd "%~dp0"
cd "%~dp0Win64"
pnputil -a *.inf /install

echo off
if %errorlevel% GEQ 1 (
  echo ====Fail[%errorlevel%],  %date% %time% Realtek_Driver Fail 
)
if %errorlevel% EQU 0 echo Pass[%errorlevel%],  %date% %time% Realtek_Driver Pass
echo on

timeout /t 10 /nobreak

@echo Done
ping 127.0.0.1 -n 3
